Subscriptions
For instructions on how to authenticate to use this endpoint, see API overview.
Endpoints
GET | |
POST | |
GET | |
PATCH | |
DELETE | |
POST | |
GET | |
GET | |
GET |
List all subscriptions
Also available via the PostHog MCP server:
subscriptions-list— List subscriptions
Required API key scopes
subscription:readQuery parameters
- created_bystring
- dashboardinteger
- dashboard_tilesinteger
- insightinteger
- insightsstring
- limitinteger
- offsetinteger
- orderingstring
- resource_typestringOne of:
"ai_prompt""dashboard""insight" - searchstring
- target_typestringOne of:
"email""slack""teams"
Response
Example request
GET /api /projects /:project_id /subscriptionsExample response
Status 200
List all subscriptions
Also available via the PostHog MCP server:
subscriptions-list— List subscriptions
Required API key scopes
subscription:readQuery parameters
- created_bystring
- dashboardinteger
- dashboard_tilesinteger
- insightinteger
- insightsstring
- limitinteger
- offsetinteger
- orderingstring
- resource_typestringOne of:
"ai_prompt""dashboard""insight" - searchstring
- target_typestringOne of:
"email""slack""teams"
Response
Example request
GET /api /projects /:project_id /subscriptionsExample response
Status 200
Create subscriptions
Also available via the PostHog MCP server:
subscriptions-create— Create subscription
Required API key scopes
subscription:writeRequest parameters
- dashboardinteger | null
- insightinteger | null
- dashboard_export_insightsarray
- promptstring | null
- ai_prompt_config
- contextsarray
- target_type
- target_valuestring
- frequency
- intervalinteger
- byweekdayarray | null
- bysetposinteger | null
- countinteger | null
- start_datestring
- until_datestring | null
- deletedboolean
- enabledboolean
- titlestring | null
- integration_idinteger | null
- invite_messagestring | null
- send_test_nowboolean
- summary_enabledboolean
- summary_prompt_guidestring
- delivery_config
Response
Example request
POST /api /projects /:project_id /subscriptionsExample response
Status 201
Create subscriptions
Also available via the PostHog MCP server:
subscriptions-create— Create subscription
Required API key scopes
subscription:writeRequest parameters
- dashboardinteger | null
- insightinteger | null
- dashboard_export_insightsarray
- promptstring | null
- ai_prompt_config
- contextsarray
- target_type
- target_valuestring
- frequency
- intervalinteger
- byweekdayarray | null
- bysetposinteger | null
- countinteger | null
- start_datestring
- until_datestring | null
- deletedboolean
- enabledboolean
- titlestring | null
- integration_idinteger | null
- invite_messagestring | null
- send_test_nowboolean
- summary_enabledboolean
- summary_prompt_guidestring
- delivery_config
Response
Example request
POST /api /projects /:project_id /subscriptionsExample response
Status 201
Retrieve subscriptions
Also available via the PostHog MCP server:
subscriptions-retrieve— Get subscription
Required API key scopes
subscription:readPath parameters
- idinteger
Response
Example request
GET /api /projects /:project_id /subscriptions /:idExample response
Status 200
Retrieve subscriptions
Also available via the PostHog MCP server:
subscriptions-retrieve— Get subscription
Required API key scopes
subscription:readPath parameters
- idinteger
Response
Example request
GET /api /projects /:project_id /subscriptions /:idExample response
Status 200
Update subscriptions
Also available via the PostHog MCP server:
subscriptions-partial-update— Update subscription
Required API key scopes
subscription:writePath parameters
- idinteger
Request parameters
- dashboardinteger | null
- insightinteger | null
- dashboard_export_insightsarray
- promptstring | null
- ai_prompt_config
- contextsarray
- target_type
- target_valuestring
- frequency
- intervalinteger
- byweekdayarray | null
- bysetposinteger | null
- countinteger | null
- start_datestring
- until_datestring | null
- deletedboolean
- enabledboolean
- titlestring | null
- integration_idinteger | null
- invite_messagestring | null
- send_test_nowboolean
- summary_enabledboolean
- summary_prompt_guidestring
- delivery_config
Response
Example request
PATCH /api /projects /:project_id /subscriptions /:idExample response
Status 200
Update subscriptions
Also available via the PostHog MCP server:
subscriptions-partial-update— Update subscription
Required API key scopes
subscription:writePath parameters
- idinteger
Request parameters
- dashboardinteger | null
- insightinteger | null
- dashboard_export_insightsarray
- promptstring | null
- ai_prompt_config
- contextsarray
- target_type
- target_valuestring
- frequency
- intervalinteger
- byweekdayarray | null
- bysetposinteger | null
- countinteger | null
- start_datestring
- until_datestring | null
- deletedboolean
- enabledboolean
- titlestring | null
- integration_idinteger | null
- invite_messagestring | null
- send_test_nowboolean
- summary_enabledboolean
- summary_prompt_guidestring
- delivery_config
Response
Example request
PATCH /api /projects /:project_id /subscriptions /:idExample response
Status 200
Delete subscriptions
Hard delete of this model is not allowed. Use a patch API call to set "deleted" to true
Required API key scopes
subscription:writePath parameters
- idinteger
Example request
DELETE /api /projects /:project_id /subscriptions /:idExample response
Status 405 No response body
Delete subscriptions
Hard delete of this model is not allowed. Use a patch API call to set "deleted" to true
Required API key scopes
subscription:writePath parameters
- idinteger
Example request
DELETE /api /projects /:project_id /subscriptions /:idExample response
Status 405 No response body
Create subscriptions test delivery
Also available via the PostHog MCP server:
subscriptions-test-delivery-create— Send test delivery
Required API key scopes
subscription:writePath parameters
- idinteger
Example request
POST /api /projects /:project_id /subscriptions /:id /test-deliveryExample response
Status 202 Test delivery workflow started
Create subscriptions test delivery
Also available via the PostHog MCP server:
subscriptions-test-delivery-create— Send test delivery
Required API key scopes
subscription:writePath parameters
- idinteger
Example request
POST /api /projects /:project_id /subscriptions /:id /test-deliveryExample response
Status 202 Test delivery workflow started
List all subscriptions deliveries
Also available via the PostHog MCP server:
subscriptions-deliveries-list— List subscription deliveries
Paginated delivery history for a subscription. Requires premium subscriptions.
Required API key scopes
subscription:readPath parameters
- subscription_idinteger
Query parameters
- cursorstring
- statusstringOne of:
"completed""failed""skipped""starting"
Response
Example request
GET /api /projects /:project_id /subscriptions /:subscription_id /deliveriesExample response
Status 200
List all subscriptions deliveries
Also available via the PostHog MCP server:
subscriptions-deliveries-list— List subscription deliveries
Paginated delivery history for a subscription. Requires premium subscriptions.
Required API key scopes
subscription:readPath parameters
- subscription_idinteger
Query parameters
- cursorstring
- statusstringOne of:
"completed""failed""skipped""starting"
Response
Example request
GET /api /projects /:project_id /subscriptions /:subscription_id /deliveriesExample response
Status 200
Retrieve subscriptions deliveries
Also available via the PostHog MCP server:
subscriptions-deliveries-retrieve— Get subscription delivery
Fetch one delivery row by id.
Required API key scopes
subscription:readPath parameters
- idstring
- subscription_idinteger
Response
Example request
GET /api /projects /:project_id /subscriptions /:subscription_id /deliveries /:idExample response
Status 200
Retrieve subscriptions deliveries
Also available via the PostHog MCP server:
subscriptions-deliveries-retrieve— Get subscription delivery
Fetch one delivery row by id.
Required API key scopes
subscription:readPath parameters
- idstring
- subscription_idinteger
Response
Example request
GET /api /projects /:project_id /subscriptions /:subscription_id /deliveries /:idExample response
Status 200
List all subscriptions summaries
Completed deliveries that include an AI summary, across every active subscription on one insight or dashboard, newest first. Requires viewer access to the insight or dashboard.
Required API key scopes
subscription:readQuery parameters
- cursorstring
- dashboardinteger
- insightinteger
Response
Example request
GET /api /projects /:project_id /subscriptions /summariesExample response
Status 200
List all subscriptions summaries
Completed deliveries that include an AI summary, across every active subscription on one insight or dashboard, newest first. Requires viewer access to the insight or dashboard.
Required API key scopes
subscription:readQuery parameters
- cursorstring
- dashboardinteger
- insightinteger
Response
Example request
GET /api /projects /:project_id /subscriptions /summaries










